- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# fmp_to_realtime.hh File Reference

This file provides a transformation function that computes the equivalent transducer of a FMP automaton. More...

Include dependency graph for fmp_to_realtime.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
FMP automaton to realtime transducer algorithm.
Compute the equivalent transducer of a FMP automaton. Please note that for the moment this function works only if the support of each transition is finite. Algorithm : If the FMP contains transitions with "complex" expression (E), i.e. infinite support, then Thompson of E. With the resulting automaton apply a conversion. i.e. (a,x) -> a|x
template<typename S, typename T, typename SS, typename TT>
Element< SS, TT > & | fmp_to_realtime (const Element< S, T > &fmp, Element< SS, TT > &res)

## Detailed Description

This file provides a transformation function that computes the equivalent transducer of a FMP automaton.

Author:
  Robert Bigaignon <robert.bigaignon@lrde.epita.fr>

Date:
  Mon Mar 16 16:15:15 2005

See also:
  fmp_to_realtime()

Definition in file fmp_to_realtime.hh.